package com.ruoyi.interfaces.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型参数对象 md_model_params
 * 
 * @author 朱得糠
 * @date 2025-08-01
 */
public class MdModelParams extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模型参数标识 */
    private String parid;

    /** 模型标识ID */
    private String mdid;

    /** 参数分类 */
    @Excel(name = "参数分类")
    private String parCate;

    /** 参数分组 */
    @Excel(name = "参数分组")
    private String parGroup;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String parName;

    /** 英文名称 */
    @Excel(name = "英文名称")
    private String parEnname;

    /** 参数描述 */
    @Excel(name = "参数描述")
    private String parNote;

    /** 参数类型 */
    @Excel(name = "参数类型")
    private String parType;

    /** 行号 */
    @Excel(name = "行号")
    private Integer parLine;

    /** 维度 */
    @Excel(name = "维度")
    private String parDimen;

    /** 维度排序 */
    @Excel(name = "维度排序")
    private String parDidenSort;

    /** 参数表达式 */
    @Excel(name = "参数表达式")
    private String parExpr;

    /** 参数默认值 */
    @Excel(name = "参数默认值")
    private String parDefVal;

    /** 参数单位 */
    @Excel(name = "参数单位")
    private String parUnit;

    /** 参数范围 */
    @Excel(name = "参数范围")
    private String parRange;

    /** 参数版本号 */
    @Excel(name = "参数版本号")
    private String parVersion;

    /** 参数状态 */
    @Excel(name = "参数状态")
    private String parStatus;

    /** 编辑时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyby;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createby;

    /**
     * 排序
     */
    private Integer sort;


    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateby() {
        return createby;
    }

    public void setCreateby(Date createby) {
        this.createby = createby;
    }

    public void setParid(String parid)
    {
        this.parid = parid;
    }

    public String getParid() 
    {
        return parid;
    }
    public void setMdid(String mdid) 
    {
        this.mdid = mdid;
    }

    public String getMdid() 
    {
        return mdid;
    }
    public void setParCate(String parCate) 
    {
        this.parCate = parCate;
    }

    public String getParCate() 
    {
        return parCate;
    }
    public void setParGroup(String parGroup) 
    {
        this.parGroup = parGroup;
    }

    public String getParGroup() 
    {
        return parGroup;
    }
    public void setParName(String parName) 
    {
        this.parName = parName;
    }

    public String getParName() 
    {
        return parName;
    }
    public void setParEnname(String parEnname) 
    {
        this.parEnname = parEnname;
    }

    public String getParEnname() 
    {
        return parEnname;
    }
    public void setParNote(String parNote) 
    {
        this.parNote = parNote;
    }

    public String getParNote() 
    {
        return parNote;
    }
    public void setParType(String parType) 
    {
        this.parType = parType;
    }

    public String getParType() 
    {
        return parType;
    }
    public void setParLine(Integer parLine) 
    {
        this.parLine = parLine;
    }

    public Integer getParLine() 
    {
        return parLine;
    }
    public void setParDimen(String parDimen) 
    {
        this.parDimen = parDimen;
    }

    public String getParDimen() 
    {
        return parDimen;
    }
    public void setParDidenSort(String parDidenSort) 
    {
        this.parDidenSort = parDidenSort;
    }

    public String getParDidenSort() 
    {
        return parDidenSort;
    }
    public void setParExpr(String parExpr) 
    {
        this.parExpr = parExpr;
    }

    public String getParExpr() 
    {
        return parExpr;
    }
    public void setParDefVal(String parDefVal) 
    {
        this.parDefVal = parDefVal;
    }

    public String getParDefVal() 
    {
        return parDefVal;
    }
    public void setParUnit(String parUnit) 
    {
        this.parUnit = parUnit;
    }

    public String getParUnit() 
    {
        return parUnit;
    }
    public void setParRange(String parRange) 
    {
        this.parRange = parRange;
    }

    public String getParRange() 
    {
        return parRange;
    }
    public void setParVersion(String parVersion) 
    {
        this.parVersion = parVersion;
    }

    public String getParVersion() 
    {
        return parVersion;
    }
    public void setParStatus(String parStatus) 
    {
        this.parStatus = parStatus;
    }

    public String getParStatus() 
    {
        return parStatus;
    }
    public void setModifyby(Date modifyby) 
    {
        this.modifyby = modifyby;
    }

    public Date getModifyby() 
    {
        return modifyby;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("parid", getParid())
            .append("mdid", getMdid())
            .append("parCate", getParCate())
            .append("parGroup", getParGroup())
            .append("parName", getParName())
            .append("parEnname", getParEnname())
            .append("parNote", getParNote())
            .append("parType", getParType())
            .append("parLine", getParLine())
            .append("parDimen", getParDimen())
            .append("parDidenSort", getParDidenSort())
            .append("parExpr", getParExpr())
            .append("parDefVal", getParDefVal())
            .append("parUnit", getParUnit())
            .append("parRange", getParRange())
            .append("parVersion", getParVersion())
            .append("parStatus", getParStatus())
            .append("createby", getCreateby())
            .append("modifyby", getModifyby())
            .toString();
    }

    public MdModelParams(String parid, String mdid, String parCate, String parGroup, String parName, String parEnname, String parNote, String parType, Integer parLine, String parDimen, String parDidenSort, String parExpr, String parDefVal, String parUnit, String parRange, String parVersion, String parStatus, Date modifyby, Date createby) {
        this.parid = parid;
        this.mdid = mdid;
        this.parCate = parCate;
        this.parGroup = parGroup;
        this.parName = parName;
        this.parEnname = parEnname;
        this.parNote = parNote;
        this.parType = parType;
        this.parLine = parLine;
        this.parDimen = parDimen;
        this.parDidenSort = parDidenSort;
        this.parExpr = parExpr;
        this.parDefVal = parDefVal;
        this.parUnit = parUnit;
        this.parRange = parRange;
        this.parVersion = parVersion;
        this.parStatus = parStatus;
        this.modifyby = modifyby;
        this.createby = createby;
    }

    public MdModelParams() {
    }
}



